// DrawList.cpp : 구현 파일입니다.

#include "stdafx.h"
#include "paint.h"
#include "Data.h"
#include "paintDoc.h"
#include "DrawRect.h"
#include "DrawElli.h"
#include "DrawLine.h"
#include "DrawPoly.h"
// DrawList

CData* CData::m_selfInstance = NULL;

IMPLEMENT_DYNAMIC(CData, CWnd)

CData::CData()
{	
}
CData::~CData()
{
}


BEGIN_MESSAGE_MAP(CData, CWnd)

END_MESSAGE_MAP()

// DrawList 메시지 처리기입니다.


CData* CData::GetInstance()
{
	if(m_selfInstance == NULL)
	{
		m_selfInstance = new CData();
	}
	return m_selfInstance;
}


//========================================================================================//
